<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/highcharts-more.js"></script>
<script src="https://code.highcharts.com/modules/exporting.js"></script>
<script src="https://code.highcharts.com/modules/export-data.js"></script>
<script src="https://code.highcharts.com/modules/accessibility.js"></script>

<script>
    function getChart(container, type, limit, interval) {
        document.getElementById(container).innerHTML='Loading...'
        //fetch("http://0.0.0.0:5006/stats/5e9a944b-7a14-4244-8aba-6907c181110f/ratings" + "?interval=" + interval + "&date=2021-12-30T00:00:00" + "&chart_format=highcharts", {
        fetch("http://0.0.0.0:5006/stats/5e9a944b-7a14-4244-8aba-6907c181110f/ratings" + "?interval=daily&start_date=2022-02-01&end_date=2022-02-28&chart_format=highcharts", {
            method: 'GET', // *GET, POST, PUT, DELETE, etc.
            // mode: 'cors', // no-cors, *cors, same-origin
            // cache: 'no-cache', // *default, no-cache, reload, force-cache, only-if-cached
            // credentials: 'same-origin', // include, *same-origin, omit
            headers: {
                'Content-Type': 'application/json',
                'Access-Control-Allow-Origin': '*'
            },
        })
        .then(response => response.json())
        .then(data => Highcharts.chart('container', data[0]['config']))
    }
</script>

<figure class="highcharts-figure">
    <div>
        <button onclick="getChart('container', 'abs', '53', 'weekly')">Get Ratings</button>
        <button onclick="getChart('container', 'perc', '10', 'yearly')">Get Ratings Perc</button>
        <button onclick="getChart('container', 'latest', '1', 'yearly')">Get Latest Ratings</button>
    </div>
    <hr>
    <div id="container">
        
    </div>
</figure>
<style>
    #container {
        height: 600px;
    }

    .highcharts-figure,
    .highcharts-data-table table {
        min-width: 310px;
        max-width: 1800px;
        margin: 1em auto;
    }

    .highcharts-data-table table {
        font-family: Verdana, sans-serif;
        border-collapse: collapse;
        border: 1px solid #ebebeb;
        margin: 10px auto;
        text-align: center;
        width: 100%;
        max-width: 500px;
    }
</style>
